org.apache.hadoop.fs

## Class Options.CreateOpts.BufferSize

- java.lang.Object
- - org.apache.hadoop.fs.Options.CreateOpts
  - - org.apache.hadoop.fs.Options.CreateOpts.BufferSize

- Enclosing class:
    Options.CreateOpts

      public static class Options.CreateOpts.BufferSize
      extends Options.CreateOpts

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.fs.Options.CreateOpts

      `Options.CreateOpts.BlockSize, Options.CreateOpts.BufferSize, Options.CreateOpts.BytesPerChecksum, Options.CreateOpts.ChecksumParam, Options.CreateOpts.CreateParent, Options.CreateOpts.Perms, Options.CreateOpts.Progress, Options.CreateOpts.ReplicationFactor`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BufferSize(int bs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`

    - ### Methods inherited from class org.apache.hadoop.fs.Options.CreateOpts

      `blockSize, bufferSize, bytesPerChecksum, checksumParam, createParent, donotCreateParent, perms, progress, repFac`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BufferSize

          protected BufferSize(int bs)

  - ### Method Detail

    - #### getValue

          public int getValue()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.